CVE-2019-9923

Published: 22 March 2019

pax_decode_header in sparse.c in GNU Tar before 1.32 had a NULL pointer dereference when parsing certain archives that have malformed extended headers.

Priority

Low

CVSS 3 base score: 7.5

Status

Package Release Status
tar
Launchpad, Ubuntu, Debian
Upstream
Released (1.32)
Ubuntu 21.04 (Hirsute Hippo) Needed

Ubuntu 20.10 (Groovy Gorilla)
Released (1.30+dfsg-7ubuntu0.20.10.1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (1.30+dfsg-7ubuntu0.20.04.1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (1.29b-2ubuntu0.2)
Ubuntu 16.04 LTS (Xenial Xerus)
Released (1.28-2.1ubuntu0.2)
Ubuntu 14.04 ESM (Trusty Tahr)
Released (1.27.1-1ubuntu0.1+esm1)
Patches:
Upstream: http://git.savannah.gnu.org/cgit/tar.git/commit/?id=cb07844454d8cc9fb21f53ace75975f91185a120